Bug 591571 - Review Request: maven-plugin-testing - Maven Plugin Testing
Review Request: maven-plugin-testing - Maven Plugin Testing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guido Grazioli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 11:06 EDT by Alexander Kurtakov
Modified: 2010-05-14 10:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-14 10:18:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
guido.grazioli: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2010-05-12 11:06:19 EDT
Spec URL: http://akurtakov.fedorapeople.org/maven-plugin-testing.spec
SRPM URL: http://akurtakov.fedorapeople.org/maven-plugin-testing-1.2-1.fc13.src.rpm
Description: The Maven Plugin Testing contains the necessary modules
to be able to test Maven Plugins.
Comment 1 Alexander Kurtakov 2010-05-12 11:15:50 EDT
Notes about this package:
- It builds successfully in koji against the dist-f14-maven221
target: http://koji.fedoraproject.org/koji/taskinfo?taskID=2183121
Comment 2 Guido Grazioli 2010-05-12 12:03:03 EDT
NEEDSWORK - rpmlint output:
maven-plugin-testing.spec:140: E: files-attr-not-set
maven-plugin-testing.spec:143: E: files-attr-not-set
maven-plugin-testing.spec:146: E: files-attr-not-set
- Add %defattr(-,root,root,-)

maven-plugin-testing.spec: W: invalid-url Source0: maven-plugin-testing-1.2.tar.xz
maven-plugin-testing.noarch: W: no-documentation
maven-plugin-testing.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-plugin-testing
maven-test-tools.noarch: W: no-documentation
maven-plugin-testing-harness.noarch: W: no-documentation
- These are false positives

OK - The package must be named according to the Package Naming Guidelines.
OK - The spec file name must match the base package %{name}
OK - The package must meet the Packaging Guidelines

NEEDSWORK - The package must meet the Java Packaging Guidelines
You miss:
Requires:       jpackage-utils
Requires:       java
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils


OK - If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc
OK - The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines (license is ASL 2.0)
NA - Every binary RPM package which stores shared library files must
call ldconfig in %post and %postun 
OK - The package MUST successfully compile and build
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2183121
(against dist-f14-maven221 target)
OK - The spec file must be written in American English.

NEEDSWORK - The spec file for the package MUST be legible.
Can you split some commands on multiple lines? Some are very long (~ 150 chars)

OK - The sources used to build the package must match the upstream source, as
provided in the spec URL. (exported from svn)
NA - The spec file MUST handle locales properly 
NA - package not relocatable
OK - A package must own all directories that it creates
OK - A Fedora package must not list a file more than once in the spec file's
%files listings
OK - Permissions on files must be set properly
OK - Each package must have a %clean section

NEEDSWORK - Each package must consistently use macros
You have both "rm" and "{__rm}"

NA - The package must contain code, or permissable content (no content)
NA - Large documentation files must go in a -doc subpackage (no large doc)
OK - If a package includes something as %doc, it must not affect the runtime of
the application
NA - Header files must be in a -devel package
NA - Static libraries must be in a -static package (no static package)
NA - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
OK - Packages must NOT contain any .la libtool archives
NA - Packages containing GUI applications MUST include a .desktop file 
OK - No file conflicts with other packages and no general names.
OK - At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK - All filenames in rpm packages must be valid UTF-8
OK - The package does not yet exist in Fedora. The Review Request is not a
duplicate. (packages obsoletes maven-shared-plugin-testing-harness)
OK - %{?dist} tag is used in release    


-Dmaven.test.skip=true
you could comment on that, what is missing to complete tests.
Comment 3 Guido Grazioli 2010-05-12 12:04:05 EDT
Whoops, Jeff we had a concurrency issue on this one
Comment 4 Alexander Kurtakov 2010-05-12 12:23:34 EDT
(In reply to comment #2)
> NEEDSWORK - rpmlint output:
> maven-plugin-testing.spec:140: E: files-attr-not-set
> maven-plugin-testing.spec:143: E: files-attr-not-set
> maven-plugin-testing.spec:146: E: files-attr-not-set
> - Add %defattr(-,root,root,-)
Fixed.

> 
> maven-plugin-testing.spec: W: invalid-url Source0:
> maven-plugin-testing-1.2.tar.xz
> maven-plugin-testing.noarch: W: no-documentation
> maven-plugin-testing.noarch: W: non-conffile-in-etc
> /etc/maven/fragments/maven-plugin-testing
> maven-test-tools.noarch: W: no-documentation
> maven-plugin-testing-harness.noarch: W: no-documentation
> - These are false positives
> 
> OK - The package must be named according to the Package Naming Guidelines.
> OK - The spec file name must match the base package %{name}
> OK - The package must meet the Packaging Guidelines
> 
> NEEDSWORK - The package must meet the Java Packaging Guidelines
> You miss:
> Requires:       jpackage-utils
> Requires:       java
> Requires(post):       jpackage-utils
> Requires(postun):     jpackage-utils
Fixed.

> 
> 
> OK - If (and only if) the source package includes the text of the
> license(s) in its own file, then that file, containing the text of the
> license(s) for the package must be included in %doc
> OK - The package must be licensed with a Fedora approved license and
> meet the Licensing Guidelines (license is ASL 2.0)
> NA - Every binary RPM package which stores shared library files must
> call ldconfig in %post and %postun 
> OK - The package MUST successfully compile and build
> koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2183121
> (against dist-f14-maven221 target)
> OK - The spec file must be written in American English.
> 
> NEEDSWORK - The spec file for the package MUST be legible.
> Can you split some commands on multiple lines? Some are very long (~ 150 chars)
Fixed.

> 
> OK - The sources used to build the package must match the upstream source, as
> provided in the spec URL. (exported from svn)
> NA - The spec file MUST handle locales properly 
> NA - package not relocatable
> OK - A package must own all directories that it creates
> OK - A Fedora package must not list a file more than once in the spec file's
> %files listings
> OK - Permissions on files must be set properly
> OK - Each package must have a %clean section
> 
> NEEDSWORK - Each package must consistently use macros
> You have both "rm" and "{__rm}"
Fixed.

> 
> NA - The package must contain code, or permissable content (no content)
> NA - Large documentation files must go in a -doc subpackage (no large doc)
> OK - If a package includes something as %doc, it must not affect the runtime of
> the application
> NA - Header files must be in a -devel package
> NA - Static libraries must be in a -static package (no static package)
> NA - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
> OK - Packages must NOT contain any .la libtool archives
> NA - Packages containing GUI applications MUST include a .desktop file 
> OK - No file conflicts with other packages and no general names.
> OK - At the beginning of %install, each package MUST run rm -rf %{buildroot}
> OK - All filenames in rpm packages must be valid UTF-8
> OK - The package does not yet exist in Fedora. The Review Request is not a
> duplicate. (packages obsoletes maven-shared-plugin-testing-harness)
> OK - %{?dist} tag is used in release    
> 
> 
> -Dmaven.test.skip=true
> you could comment on that, what is missing to complete tests.    
Fixed.

New sources:

Spec URL: http://akurtakov.fedorapeople.org/maven-plugin-testing.spec
SRPM URL:
http://akurtakov.fedorapeople.org/maven-plugin-testing-1.2-2.fc13.src.rpm
Comment 5 Jeff Johnston 2010-05-12 12:31:26 EDT
(In reply to comment #3)
> Whoops, Jeff we had a concurrency issue on this one    

You might as well take it and complete the review.  Thanks.
Comment 6 Guido Grazioli 2010-05-12 13:02:57 EDT
Thanks Jeff
Comment 7 Guido Grazioli 2010-05-12 13:03:59 EDT
New koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2183288

Package APPROVED, thanks.
Comment 8 Alexander Kurtakov 2010-05-12 16:02:42 EDT
New Package CVS Request
=======================
Package Name: maven-plugin-testing
Short Description: Maven Plugin Testing
Owners: akurtakov
Branches: 
InitialCC:
Comment 9 Dennis Gilmore 2010-05-13 18:27:46 EDT
CVS Done
Comment 10 Alexander Kurtakov 2010-05-14 10:18:37 EDT
Built in koji.
http://koji.fedoraproject.org/koji/buildinfo?buildID=173450

Note You need to log in before you can comment on or make changes to this bug.